Package org.optaplanner.persistence.jaxb.api.score

## Class AbstractScoreJaxbAdapter<Score_ extends Score<Score_>>

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlAdapter<String,​Score_>
  - - org.optaplanner.persistence.jaxb.api.score.AbstractScoreJaxbAdapter<Score_>

- Type Parameters:
    `Score_` - the actual score type
  Direct Known Subclasses:
    `BendableBigDecimalScoreJaxbAdapter`, `BendableLongScoreJaxbAdapter`, `BendableScoreJaxbAdapter`, `HardMediumSoftBigDecimalScoreJaxbAdapter`, `HardMediumSoftLongScoreJaxbAdapter`, `HardMediumSoftScoreJaxbAdapter`, `HardSoftBigDecimalScoreJaxbAdapter`, `HardSoftLongScoreJaxbAdapter`, `HardSoftScoreJaxbAdapter`, `SimpleBigDecimalScoreJaxbAdapter`, `SimpleLongScoreJaxbAdapter`, `SimpleScoreJaxbAdapter`

      public abstract class AbstractScoreJaxbAdapter<Score_ extends Score<Score_>>
      extends XmlAdapter<String,​Score_>

  JAXB binding support for a `Score` type.

  For example: use `@XmlJavaTypeAdapter(HardSoftScoreJaxbAdapter.class)` on a `HardSoftScore score` field and it will marshalled to XML as `<score>-999hard/-999soft</score>`.

  See Also:
    `Score`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractScoreJaxbAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `marshal​(Score_ score)` |

    - ### Methods inherited from class javax.xml.bind.annotation.adapters.XmlAdapter

      `unmarshal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractScoreJaxbAdapter

          public AbstractScoreJaxbAdapter()

  - ### Method Detail

    - #### marshal

          public String marshal​(Score_ score)

      Specified by:
        `marshal` in class `XmlAdapter<String,​Score_ extends Score<Score_>>`